package com.zt.plat.module.base.service.base;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.base.controller.admin.base.vo.TaxPageReqVO;
import com.zt.plat.module.base.controller.admin.base.vo.TaxRespVO;
import com.zt.plat.module.base.controller.admin.base.vo.TaxSaveReqVO;
import com.zt.plat.module.base.controller.admin.base.vo.TaxStsVO;
import com.zt.plat.module.base.dal.dataobject.base.TaxDO;
import jakarta.validation.Valid;

import java.util.List;

/**
 * 税码信息 Service 接口
 *
 * @author 后台管理-1
 */
public interface TaxService {

    /**
     * 创建税码信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    TaxRespVO createTax(@Valid TaxSaveReqVO createReqVO);

    /**
     * 更新税码信息
     *
     * @param updateReqVO 更新信息
     */
    void updateTax(@Valid TaxSaveReqVO updateReqVO);

    /**
     * 删除税码信息
     *
     * @param id 编号
     */
    void deleteTax(Long id);

    /**
    * 批量删除税码信息
    *
    * @param ids 编号
    */
    void deleteTaxListByIds(List<Long> ids);

    /**
     * 获得税码信息
     *
     * @param id 编号
     * @return 税码信息
     */
    TaxDO getTax(Long id);

    /**
     * 获得税码信息分页
     *
     * @param pageReqVO 分页查询
     * @return 税码信息分页
     */
    PageResult<TaxDO> getTaxPage(TaxPageReqVO pageReqVO);

   void enableTaxList(List<TaxStsVO> req);

}